Non Conformance Purchase Return Order Line
The non conformance purchase return order line resource.
/nonConformancePurchaseReturnOrderLineList non conformance purchase return order lines
Retrieve a paginated list of non conformance purchase return order lines. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url '<your-host>/nonConformancePurchaseReturnOrderLine?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"companyId": "xyz789",
"nonConformanceId": "xyz789",
"purchaseReturnOrderLineId": "xyz789",
"purchaseReturnOrderId": "xyz789",
"purchaseReturnOrderReadableId": "xyz789",
"quantity": 10,
"createdAt": "2026-01-01T00:00:00Z"
}
]/nonConformancePurchaseReturnOrderLineRetrieve a non conformance purchase return order line
Fetch a single non conformance purchase return order line by filtering on `id`.
Query parameters
idstringMatch on the non conformance purchase return order line's `id`, e.g. `eq.{id}`.
curl --request GET \
--url '<your-host>/nonConformancePurchaseReturnOrderLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"companyId": "xyz789",
"nonConformanceId": "xyz789",
"purchaseReturnOrderLineId": "xyz789",
"purchaseReturnOrderId": "xyz789",
"purchaseReturnOrderReadableId": "xyz789",
"quantity": 10,
"createdAt": "2026-01-01T00:00:00Z"
}/nonConformancePurchaseReturnOrderLineCreate a non conformance purchase return order line
Create a new non conformance purchase return order line.
Body parameters
nonConformanceIdstringrequiredReferences nonConformance.id
purchaseReturnOrderLineIdstringrequiredpurchaseReturnOrderIdstringrequiredpurchaseReturnOrderReadableIdstringrequiredquantitynumberrequiredcurl --request POST \
--url <your-host>/nonConformancePurchaseReturnOrderLine \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"nonConformanceId":"xyz789","purchaseReturnOrderLineId":"xyz789","purchaseReturnOrderId":"xyz789","purchaseReturnOrderReadableId":"xyz789","quantity":10}'{
"id": "abc123def456",
"companyId": "xyz789",
"nonConformanceId": "xyz789",
"purchaseReturnOrderLineId": "xyz789",
"purchaseReturnOrderId": "xyz789",
"purchaseReturnOrderReadableId": "xyz789",
"quantity": 10,
"createdAt": "2026-01-01T00:00:00Z"
}/nonConformancePurchaseReturnOrderLineUpdate a non conformance purchase return order line
Update an existing non conformance purchase return order line, matched on `id`.
Body parameters
nonConformanceIdstringrequiredReferences nonConformance.id
purchaseReturnOrderLineIdstringrequiredpurchaseReturnOrderIdstringrequiredpurchaseReturnOrderReadableIdstringrequiredquantitynumberrequiredcurl --request PATCH \
--url '<your-host>/nonConformancePurchaseReturnOrderLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"nonConformanceId":"xyz789"}'{
"id": "abc123def456",
"companyId": "xyz789",
"nonConformanceId": "xyz789",
"purchaseReturnOrderLineId": "xyz789",
"purchaseReturnOrderId": "xyz789",
"purchaseReturnOrderReadableId": "xyz789",
"quantity": 10,
"createdAt": "2026-01-01T00:00:00Z"
}/nonConformancePurchaseReturnOrderLineDelete a non conformance purchase return order line
Delete a non conformance purchase return order line, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the non conformance purchase return order line to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url '<your-host>/nonConformancePurchaseReturnOrderLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'